View Single Post
Old 03-11-05, 08:28 AM   #1
Thunderbird
 
Join Date: Jul 2002
Location: Netherlands, Europe
Posts: 2,105
Default 1.0-7167 for Linux x86-64 released


* Improved OpenGL workstation performance.

* Added support for XRandR rotation; see Appendix W in the text README.

* Added ExactModeTimingsDVI X config option to give explicit control
over the mode timings used on FlatPanels.

* Added Xorg dlloader support.

* Changed driver behavior such that PAT (Page Attribute Table)
is used where possible instead of MTRRs.

* Added a workaround for an X server bug with PCI-E GeForce 6800
and GeForce 6600; a fix has been provided to XFree86 and XOrg.

* Fixed stability problems on x86_64 PCI-E systems.

* Documented change_page_attr problems with x86_64 2.6 kernels;
please see the known issue "The X86-64 platform (AMD64/EM64T)
and 2.6 kernels" in the text README here:

/usr/share/doc/NVIDIA_GLX-1.0/README

* Fixed 2D rendering corruption on certain older GPUs.

* Improved compatibility with Linux 2.6 kernels.

* Fixed compatibility problems with some SWIOTLB em64t systems.

* Fixed a bug that triggered error messages of the form:

"ioctl32(doom.x86:6747): Unknown cmd fd(16) cmd(c0384642){00}
arg(ffffc75c) on /dev/nvidiactl"

* Fixed NvAGP incompatibility with recent Linux 2.6 kernels.

* Improved interaction with the udev filesystem.

* Improved performance of PCI cards on Linux 2.6 systems.

* Support for TurboCache GPUs.
The 1.0-7167 NVIDIA Accelerated Linux Graphics Driver Set for Linux/x86-64 is available for download via HTTP and FTP.


Please note: If you're using a Linux 2.6 system, you may need to preload the AGPGART frontend module, agpgart.ko, prior to executing the NVIDIA .run installer:
# modprobe -q agpgart
# sh NVIDIA-Linux-x86_64-1.0-7167-pkg0.run
Please note: The 32-bit compatibility libraries are included in the NVIDIA-Linux-x86_64-1.0-7167-pkg2.run package.

Last edited by zander; 03-11-05 at 12:45 PM.
Thunderbird is offline   Reply With Quote